package com.diagbot.mapper;

import com.diagbot.entity.ServiceInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 * 用户服务表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2018-09-17
 */
public interface ServiceInfoMapper extends BaseMapper<ServiceInfo> {
    ServiceInfo findByName(String name);

    List<ServiceInfo> getListByUserId(Long userId);
}
