package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.LantoneProduct;

/**
 * <p>
 * 朗通产品表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2018-09-18
 */
public interface LantoneProductService extends IService<LantoneProduct> {
    /**
     * @Description: 用户查询所有可开通产品
     * @Author: wangyu
     * @Date: 9:49 2018/9/18
     */
    IPage<LantoneProduct> productLine(Page<LantoneProduct> page, int userId);

    /**
     * @Description: 朗通查询所有产品线
     * @Author: wangyu
     * @Date: 9:49 2018/9/18
     */
    IPage<LantoneProduct> selectProduct(Page<LantoneProduct> page, String name);
}
